<?php

use App\Http\Controllers\ClientProviderBlockController;
use Illuminate\Support\Facades\Route;

Route::get('/client-provider-blocks/{clientId}',     [ClientProviderBlockController::class, 'index'])->middleware('permission:config.client_provider_block,view');
Route::get('/client-provider-blocks/{clientId}/ids', [ClientProviderBlockController::class, 'getBlockedProviders'])->middleware('permission:config.client_provider_block,view');
Route::post('/client-provider-blocks',               [ClientProviderBlockController::class, 'store'])->middleware('permission:config.client_provider_block,add');
Route::delete('/client-provider-blocks/{id}',        [ClientProviderBlockController::class, 'destroy'])->middleware('permission:config.client_provider_block,delete');
